aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOmar Polo <op@omarpolo.com>2024-05-29 09:06:45 +0000
committerOmar Polo <op@omarpolo.com>2024-05-29 09:06:45 +0000
commitc9ea70a36f8f89b556b591e00fa872e5ac6945fc (patch)
tree515a372848fd1cddec023d49a7defd51812cf35a
parent7c723cf05f1a284906063a475d0c39b45bd7f730 (diff)
regress: add test_ipv6_server
-rwxr-xr-xregress/regress1
-rw-r--r--regress/tests.sh11
2 files changed, 12 insertions, 0 deletions
diff --git a/regress/regress b/regress/regress
index 2df53a4..46ac4ef 100755
--- a/regress/regress
+++ b/regress/regress
@@ -64,6 +64,7 @@ run_test test_include_mime
run_test test_log_file
run_test test_ipv4_addr
run_test test_ipv6_addr need_ipv6
+run_test test_ipv6_server need_ipv6
# TODO: add test that uses only a TLSv1.2 or TLSv1.3
# TODO: add a test that attempt to serve a non-regular file
diff --git a/regress/tests.sh b/regress/tests.sh
index b6a69ce..37433ce 100644
--- a/regress/tests.sh
+++ b/regress/tests.sh
@@ -452,3 +452,14 @@ test_ipv6_addr() {
fetch /
check_reply "20 text/gemini" "# hello world" || return 1
}
+
+test_ipv6_server() {
+ server_name="::1"
+ host="::1"
+ gghost="[::1]"
+ ggflags=-N
+ setup_simple_test
+
+ fetch /
+ check_reply "20 text/gemini" "# hello world" || return 1
+}